module addsub1(out,of,a,b,s);

input [7:0]a,b;
input s;
output of;
output [7:0]out;
wire [7:0]t,t1;
wire co1,co2;
wire w1,w2;

xor (t1[0],b[0],s),
		(t1[1],b[1],s),
		(t1[2],b[2],s),
		(t1[3],b[3],s),
		(t1[4],b[4],s),
		(t1[5],b[5],s),
		(t1[6],b[6],s),
		(t1[7],b[7],s);

fa8 f1(t,co1,a,t1,1'b0),
		f2(out,co2,t,{7'b0000000,co1},1'b0);

xnor	 (w1,a[7],b[7]);
xor	(w2,out[7],a[7]);
and  (of,w1,w2);

endmodule